headless lms

List the organization's webhooks (staff)

GET /api/automations/webhooks. List the organization's webhooks (staff). Headless LMS Automations API reference.

GET
/api/automations/webhooks

Staff only (owner, admin, instructor). Signing secrets are not included.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/automations/webhooks"
[  {    "orgId": "string",    "id": "string",    "url": "string",    "events": [      "string"    ],    "description": "string",    "enabled": true,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }]
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}